aboutsummaryrefslogtreecommitdiffstats
path: root/samd21-host/find-serial-port
diff options
context:
space:
mode:
authorBrian Cully <bjc@kublai.com>2019-08-04 14:19:25 -0400
committerBrian Cully <bjc@kublai.com>2019-08-04 14:19:25 -0400
commite405c474f5e0e94288191223de7ae0f31ae0b15f (patch)
tree4ca89a92f0c868eb8feae272513c1e924b834adc /samd21-host/find-serial-port
parentabd478d9425dd2d4acd5b58202b1a95b73ff217b (diff)
downloadsamd21-demo-e405c474f5e0e94288191223de7ae0f31ae0b15f.tar.gz
samd21-demo-e405c474f5e0e94288191223de7ae0f31ae0b15f.zip
Migrate everything over to separate libraries.
* `usb-host` is the crate containing the HAL traits. * `bootkbd` is a crate for a bare-bones boot protocol keyboard driver. * `samd21-host` is a crate with an implementation of `usb-host` for a SAMD21 platform, with an example for the trinket-m0 which uses the `bootkbd` driver to print keyboard reports.
Diffstat (limited to 'samd21-host/find-serial-port')
-rwxr-xr-xsamd21-host/find-serial-port16
1 files changed, 16 insertions, 0 deletions
diff --git a/samd21-host/find-serial-port b/samd21-host/find-serial-port
new file mode 100755
index 0000000..62e2c0c
--- /dev/null
+++ b/samd21-host/find-serial-port
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+if [ $# -ne 2 ]; then
+ echo "Usage: $0 vid pid" >&2
+ exit 1
+fi
+
+prefix=/dev/serial/by-id
+
+for dev in `ls $prefix`; do
+ if [ `udevadm info -q property --name $prefix/$dev | egrep -i "ID_VENDOR_ID=($1)|ID_MODEL_ID=($2)" | wc -l` -eq 2 ]; then
+ echo `readlink -f $prefix/$dev`
+ exit 0
+ fi
+done
+exit 2